Bug 1665659 - xfce4-display-settings intermittent transparent/missing Confirmation dialog
Summary: xfce4-display-settings intermittent transparent/missing Confirmation dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-settings
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-12 07:27 UTC by Sina Sadeghi
Modified: 2019-06-18 03:45 UTC (History)
2 users (show)

Fixed In Version: xfce4-settings-4.13.6-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 00:54:49 UTC
Type: Bug


Attachments (Terms of Use)
screenshot of issue (43.67 KB, image/png)
2019-01-12 07:27 UTC, Sina Sadeghi
no flags Details

Description Sina Sadeghi 2019-01-12 07:27:15 UTC
Created attachment 1520167 [details]
screenshot of issue

Description of problem:

Sometimes when I am using xfce4-display-settings to switch between monitors the "Confirmation" dialog is transparent/missing and does not respond to mouse clicks or keyboard press.

Screenshot attached.

This is the only error received if I run it from terminal:
(xfce4-display-settings:5296): GLib-CRITICAL **: 18:14:02.318: Source ID 2632 was not found when attempting to remove it

Version-Release number of selected component (if applicable):

xfce4-display-settings 4.13.5 (Xfce 4.12)

How reproducible:

If I switch a display back and forth 4 or 5 times it will happen.

Steps to Reproduce:
1. Switch display settings
2. Confirmation dialog box border will appear but no buttons.

Actual results:

You can't click the confirm button (nor does the confirmation dialog respond to the Enter key like it normally does) and then the displays


Expected results:

Confirmation dialog should always appear.

Comment 1 Fedora Update System 2019-05-18 13:49:40 UTC
xfce4-settings-4.13.6-1.fc30 xfce4-appfinder-4.13.3-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 2 Fedora Update System 2019-05-19 00:51:07 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cfc156acd7

Comment 3 Fedora Update System 2019-06-18 00:54:49 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2019-06-18 03:45:42 UTC
xfce4-appfinder-4.13.3-1.fc30, xfce4-settings-4.13.6-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.